> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_publication.md).

# 53.40. pg\_publication

## 53.40. pg\_publication

The catalog `pg_publication` contains all publications created in the database. For more on publications see [Section 31.1](/15/server-administration/logical-replication/publication.md).

**Table 53.40. `pg_publication` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                             |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>oid</code> <code>oid</code></p><p>Row identifier</p>                                                                                                                                                                    |
| <p><code>pubname</code> <code>name</code></p><p>Name of the publication</p>                                                                                                                                                      |
| <p><code>pubowner</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_authid.md"><code>pg\_authid</code></a>.<code>oid</code>)</p><p>Owner of the publication</p>                                      |
| <p><code>puballtables</code> <code>bool</code></p><p>If true, this publication automatically includes all tables in the database, including any that will be created in the future.</p>                                          |
| <p><code>pubinsert</code> <code>bool</code></p><p>If true, <a href="/15/reference/sql-commands/insert.md">INSERT</a> operations are replicated for tables in the publication.</p>                                                |
| <p><code>pubupdate</code> <code>bool</code></p><p>If true, <a href="/15/reference/sql-commands/update.md">UPDATE</a> operations are replicated for tables in the publication.</p>                                                |
| <p><code>pubdelete</code> <code>bool</code></p><p>If true, <a href="/15/reference/sql-commands/delete.md">DELETE</a> operations are replicated for tables in the publication.</p>                                                |
| <p><code>pubtruncate</code> <code>bool</code></p><p>If true, <a href="/15/reference/sql-commands/truncate.md">TRUNCATE</a> operations are replicated for tables in the publication.</p>                                          |
| <p><code>pubviaroot</code> <code>bool</code></p><p>If true, operations on a leaf partition are replicated using the identity and schema of its topmost partitioned ancestor mentioned in the publication instead of its own.</p> |

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_publication.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_publication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
